# Save card on file
Source: https://docs.mserve.ai/docs/api-reference/billing/post-billing-card

Method: POST /mserve/v1/billing/card
Base URL: https://api.mserve.ai

```json
{
  "path": "/mserve/v1/billing/card",
  "method": "POST",
  "summary": "Save card on file",
  "operationId": "card_on_file_mserve_v1_billing_card_post",
  "parameters": [
    {
      "name": "authorization",
      "in": "header",
      "required": false,
      "schema": {
        "type": "string",
        "default": "",
        "title": "Authorization"
      }
    },
    {
      "name": "xi-api-key",
      "in": "header",
      "required": false,
      "schema": {
        "type": "string",
        "default": "",
        "title": "Xi-Api-Key"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successful Response",
      "content": {
        "application/json": {
          "schema": {}
        }
      }
    },
    "422": {
      "description": "Validation Error",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/HTTPValidationError"
          }
        }
      }
    }
  },
  "tags": [
    "Billing"
  ]
}
```